
package com.huimv.eartag2.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.admin.entity.SysOrg;
import com.huimv.eartag2.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 系统组织机构service接口
 *
 * @author xuyuxiang
 * @date 2020/3/13 16:02
 */
public interface SysOrgService extends IService<SysOrg> {


   Result page(Map<String, String> map, Integer userId);


    Result list(HttpServletRequest request);

    void add(SysOrg sysOrg);


    void update(SysOrg sysOrgParam);

    void approval(Map map, HttpServletRequest request);

    Result remove(String orgId);

    Result page1(Map<String, String> map, Integer userId);
}
